Skip to content

Get S/MIME config

GET/smime/config

Email Management API · SMIME

Get S/MIME configuration.

Parameters

Name In Type Required Description
X-Tenant-ID header string (uuid) Yes Tenant ID.

Request samples

curl -X GET "https://api-<data-region>.central.sophos.com/email/v1/smime/config" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"

import requests

response = requests.get(
    "https://api-<data-region>.central.sophos.com/email/v1/smime/config",
    headers={
        "Authorization": "Bearer <access-token>",
        "X-Tenant-ID": "<tenant-id>",
    },
)
print(response.json())

$headers = @{
    "Authorization" = "Bearer <access-token>"
    "X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method GET -Uri "https://api-<data-region>.central.sophos.com/email/v1/smime/config" -Headers $headers

package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, err := http.NewRequest("GET", "https://api-<data-region>.central.sophos.com/email/v1/smime/config", nil)
    if err != nil {
        panic(err)
    }
    req.Header.Set("Authorization", "Bearer <access-token>")
    req.Header.Set("X-Tenant-ID", "<tenant-id>")

    resp, err := http.DefaultClient.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}

const response = await fetch("https://api-<data-region>.central.sophos.com/email/v1/smime/config", {
  method: "GET",
  headers: {
    "Authorization": "Bearer <access-token>",
    "X-Tenant-ID": "<tenant-id>",
  },
});
const data = await response.json();
console.log(data);

Responses

200 — S/MIME configuration details.

Response fields

smimeEnabledbooleanrequired
Whether S/MIME is enabled for the tenant.
extractCertificatebooleanrequired
Whether to extract certificates from incoming messages.
certExpiryNotificationEmailAddressesarray of string (email)required
Target email addresses to which certificate expiry notification emails are sent.
Must contain at most 5 items.
deleteTokenstringrequired
Token required for the DELETE request to remove the S/MIME configuration (use as the path parameter in DELETE /config/{deleteToken}).
Must be exactly 8 characters long.

Errors

Status Meaning
400 Invalid request.
401 Authentication required.
403 Authorization required.
404 Resource not found.
500 Internal server error.
503 Server Unavailable.

All error responses share the same shape — see the error response object.

Response examples

200

{
  "smimeEnabled": true,
  "extractCertificate": true,
  "certExpiryNotificationEmailAddresses": [
    "user_bob@sophos.com"
  ],
  "deleteToken": "a1b2c3d4"
}

See the guide for a narrative walkthrough of this API.